diff -Naur makejvf-1.1a.orig/Makefile makejvf-1.1a/Makefile
--- makejvf-1.1a.orig/Makefile	2006-12-21 00:18:25.000000000 +0900
+++ makejvf-1.1a/Makefile	2006-12-21 00:19:00.000000000 +0900
@@ -2,11 +2,13 @@
 CCLD =$(CC)
 PROGRAM = makejvf
 
-# 󥹥ȡ DISTDIR ˻ꤹ
-DISTDIR = /usr/local/bin
-
-CFLAGS = -O
-PROGLINK = $(CC) $(OBJS) -o $(PROGRAM)
+# 󥹥ȡ DESTDIR ˻ꤹ
+DESTDIR = __DESTDIR__
+PREFIX = __PREFIX__
+
+CFLAGS = -Os -DLOCALEDIR=\"$(PREFIX)/share/locale\" -I$(PREFIX)/include
+LDFLAGS = -L$(PREFIX)/lib -lintl
+PROGLINK = $(CC) $(OBJS) -o $(PROGRAM) $(LDFLAGS)
 
 OBJS = main.o tfmread.o tool.o write.o
 
@@ -21,10 +23,13 @@
 write.o:write.c
 
 install:	$(PROGRAM)
-	install -C -m 755 $? $(DISTDIR)
+	install -C -m 755 $? $(DESTDIR)$(PREFIX)/bin
+	msgfmt -c -o po/ja.mo po/ja.po
+	install -m 755 -d $(DESTDIR)$(PREFIX)/share/locale/ja/LC_MESSAGES
+	install -C -m 644 po/ja.mo $(DESTDIR)$(PREFIX)/share/locale/ja/LC_MESSAGES/$(PROGRAM).mo
 
 clean:
-	rm -f *.o makejvf
+	rm -f *.o $(PROGRAM) po/ja.mo
 
 distclean:
-	rm -f *.o *.core *.tfm *.vf *.tex *.dvi *.ps $(PROGRAM)
+	rm -f *.o *.core *.tfm *.vf *.tex *.dvi *.ps $(PROGRAM) po/ja.mo
diff -Naur makejvf-1.1a.orig/main.c makejvf-1.1a/main.c
--- makejvf-1.1a.orig/main.c	2006-12-21 00:18:25.000000000 +0900
+++ makejvf-1.1a/main.c	2006-12-21 00:19:11.000000000 +0900
@@ -2,6 +2,9 @@
 #include <stdlib.h>
 #include <string.h>
 
+#include <locale.h>
+#include <libintl.h>
+
 FILE *vfp,*afp=NULL;
 char *atfmname,*vtfmname,*afmname,*vfname,*kanatfm;
 int kanatume=-1,chotai=0,baseshift=0,minute=0;
@@ -14,6 +17,10 @@
 {
 	int i,j;
 
+	setlocale (LC_ALL, "");
+	textdomain ("makejvf");
+	bindtextdomain ("makejvf", LOCALEDIR);
+
 	if (argc < 3) {
 		usage();
 		exit(0);
@@ -123,16 +130,16 @@
 
 usage()
 {
-	fprintf(stderr,"MAKEJVF ver.1.1a -- make Japanese VF file.\n");
-	fprintf(stderr,"%% makejvf [<options>] <TFMfile> <PSfontTFM>\n");
-	fprintf(stderr,"options:\n");
-	fprintf(stderr,"-C           ĹΥ⡼\n");
-	fprintf(stderr,"-K <TFMfile> Ѥ˺PSեTFM̾\n");
-	fprintf(stderr,"-b <>    ١饤\n");
-	fprintf(stderr,"             ʸι⤵1000Ȥǻ\n");
-	fprintf(stderr,"             ץ饹ʸꡢޥʥʸ夬\n");
-	fprintf(stderr,"-m           Ľ񤭻˥(ǡ)˥ߥ˥塼()\n");
-	fprintf(stderr,"-a <AFMfile> AFMե̾ʤʵͤ˻ѡ\n");
-	fprintf(stderr,"-k <>    ʵͤޡ\n");
-	fprintf(stderr,"             ʸ1000Ȥǻꡣ-aץȶ˻\n");
+  fprintf(stderr, gettext("MAKEJVF ver.1.1a -- make Japanese VF file.\n"));
+  fprintf(stderr, gettext("%% makejvf [<options>] <TFMfile> <PSfontTFM>\n"));
+  fprintf(stderr, gettext("options:\n"));
+  fprintf(stderr, gettext("-C           長体モード\n"));
+  fprintf(stderr, gettext("-K <TFMfile> 非漢字部用に作成するPSフォントTFM名\n"));
+  fprintf(stderr, gettext("-b <数値>    ベースライン補正\n"));
+  fprintf(stderr, gettext("             文字の高さを1000として整数で指定\n"));
+  fprintf(stderr, gettext("             プラスで文字が下がり、マイナスで文字が上がる\n"));
+  fprintf(stderr, gettext("-m           縦書き時にクオート(’”)の代わりにミニュート(′″)を使用\n"));
+  fprintf(stderr, gettext("-a <AFMfile> AFMファイル名（かな詰め時に使用）\n"));
+  fprintf(stderr, gettext("-k <数値>    かな詰めマージン指定\n"));
+  fprintf(stderr, gettext("             文字幅を1000として整数で指定。-aオプションと共に使用\n"));
 }
diff -Naur makejvf-1.1a.orig/po/ja.po makejvf-1.1a/po/ja.po
--- makejvf-1.1a.orig/po/ja.po	1970-01-01 09:00:00.000000000 +0900
+++ makejvf-1.1a/po/ja.po	2006-12-21 00:18:59.000000000 +0900
@@ -0,0 +1,73 @@
+# This file is distributed under the same license as the makejvf package.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: makejvf 1.1a\n"
+"Report-Msgid-Bugs-To: Jorn Doe <EMAIL@ADDRESS>\n"
+"POT-Creation-Date: 2006-12-14 14:43+0900\n"
+"PO-Revision-Date: 2006-12-14 14:43+0900\n"
+"Last-Translator: Jorn Doe <EMAIL@ADDRESS>\n"
+"Language-Team: Japanese <EMAIL@ADDRESS>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: main.c:133
+#, c-format
+msgid "MAKEJVF ver.1.1a -- make Japanese VF file.\n"
+msgstr "MAKEJVF ver.1.1a -- make Japanese VF file.\n"
+
+#: main.c:134
+#, c-format
+msgid "%% makejvf [<options>] <TFMfile> <PSfontTFM>\n"
+msgstr "%% makejvf [<options>] <TFMfile> <PSfontTFM>\n"
+
+#: main.c:135
+#, c-format
+msgid "options:\n"
+msgstr "options:\n"
+
+#: main.c:136
+#, c-format
+msgid "-C           長体モード\n"
+msgstr "-C           長体モード\n"
+
+#: main.c:137
+#, c-format
+msgid "-K <TFMfile> 非漢字部用に作成するPSフォントTFM名\n"
+msgstr "-K <TFMfile> 非漢字部用に作成するPSフォントTFM名\n"
+
+#: main.c:138
+#, c-format
+msgid "-b <数値>    ベースライン補正\n"
+msgstr "-b <数値>    ベースライン補正\n"
+
+#: main.c:139
+#, c-format
+msgid "             文字の高さを1000として整数で指定\n"
+msgstr "             文字の高さを1000として整数で指定\n"
+
+#: main.c:140
+#, c-format
+msgid "             プラスで文字が下がり、マイナスで文字が上がる\n"
+msgstr "             プラスで文字が下がり、マイナスで文字が上がる\n"
+
+#: main.c:141
+#, c-format
+msgid "-m           縦書き時にクオート(’”)の代わりにミニュート(′″)を使用\n"
+msgstr "-m           縦書き時にクオート(’”)の代わりにミニュート(′″)を使用\n"
+
+#: main.c:142
+#, c-format
+msgid "-a <AFMfile> AFMファイル名（かな詰め時に使用）\n"
+msgstr "-a <AFMfile> AFMファイル名（かな詰め時に使用）\n"
+
+#: main.c:143
+#, c-format
+msgid "-k <数値>    かな詰めマージン指定\n"
+msgstr "-k <数値>    かな詰めマージン指定\n"
+
+#: main.c:144
+#, c-format
+msgid "             文字幅を1000として整数で指定。-aオプションと共に使用\n"
+msgstr "             文字幅を1000として整数で指定。-aオプションと共に使用\n"
diff -Naur makejvf-1.1a.orig/tool.c makejvf-1.1a/tool.c
--- makejvf-1.1a.orig/tool.c	2006-12-21 00:18:25.000000000 +0900
+++ makejvf-1.1a/tool.c	2006-12-21 00:19:11.000000000 +0900
@@ -86,13 +86,13 @@
 		return *p;
 		break;
 	case 2:
-		return pair(p);
+		return pair((unsigned char *)p);
 		break;
 	case 3:
-		return tri(p);
+		return tri((unsigned char *)p);
 		break;
 	case 4:
-		return mquad(p);
+		return mquad((unsigned char *)p);
 		break;
 	}
 }
diff -Naur makejvf-1.1a.orig/write.c makejvf-1.1a/write.c
--- makejvf-1.1a.orig/write.c	2001-01-17 01:18:04.000000000 -0600
+++ makejvf-1.1a/write.c	2013-03-31 03:54:30.000000000 -0500
@@ -1,5 +1,6 @@
 #include <stdio.h>
 #include <stdlib.h>
+#include <string.h>
 
 extern char *vtfmname,*kanatfm;
 extern int unit,zh,zw,jfm_id;
@@ -52,6 +53,7 @@
 	return fp;
 }
 
+void
 writevf(code,fp)
 int code;
 FILE *fp;
